# Ortelius

[![Build Status](https://travis-ci.com/ava-labs/ortelius.svg?branch=master)](https://travis-ci.com/ava-labs/ortelius)
[![Go Report Card](https://goreportcard.com/badge/github.com/ava-labs/ortelius)](https://goreportcard.com/report/github.com/ava-labs/ortelius)
[![License](https://img.shields.io/badge/License-BSD%203--Clause-blue.svg)](https://opensource.org/licenses/BSD-3-Clause)

A data processing pipeline for the [Avalanche network](https://avax.network).

## Features

- Maintains a persistent log of all consensus events and decisions made on the Avalanche network.
- Indexes all Exchange (X) and Platform (P) chain transactions.
- Provides an API allowing easy exploration of the index.
- Engineered from the ground up with reliability at high scale in mind. Ortelius works with best-in-class backing services and is built to scale horizontally as the network grows.

## Quick Start with Standalone Mode

The easiest way to get started to is try out the Docker Compose-based standalone mode. Using the standalone backing services, such as Kafka and MySQL, is not suitable for large production setups that need to scale out individual clusters, but it allows you to quickly get the pipeline up and working.

Ensure you have Docker and Docker Compose installed and then run:

```shell script
git clone https://github.com/ava-labs/ortelius.git $GOPATH/github.com/ava-labs/ortelius
cd $GOPATH/github.com/ava-labs/ortelius
make dev_env_start
make standalone_run
```

The API should now be available at `http://localhost:8080` which can be verified with with cURL:

`curl http://localhost:8080/X/transactions`

On the first run it will take a few minutes for Gecko to connect to sync to the network and ingest all the historical data.

## Production Deployment

For a production deployment see the [deployment page](docs/deployment.md) which enumerates the individual components and provides information on how to set them up for a production environment.
